## gitaly 0.6.0+debian

=== debian/changelog ===
gitaly (0.6.0+debian-1) unstable; urgency=medium

  * Initial release (Closes: #870606)

 -- Pirate Praveen <praveen@debian.org>  Thu, 03 Aug 2017 15:48:08 +0530
