=== debian/control ===
Source: gitaly
Section: net
Priority: optional
Maintainer: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper (>= 9),
 dh-golang,
 golang-go,
 golang-github-beorn7-perks-dev,
 golang-github-burntsushi-toml-dev,
 golang-github-davecgh-go-spew-dev,
 golang-goprotobuf-dev,
# golang-github-grpc-ecosystem-go-grpc-prometheus-dev,
 golang-protobuf-extensions-dev,
 golang-github-pmezard-go-difflib-dev,
 golang-github-prometheus-client-golang-dev,
 golang-github-prometheus-client-model-dev,
 golang-github-prometheus-common-dev,
 golang-github-stretchr-testify-dev,
 golang-golang-x-net-dev,
 golang-google-grpc-dev,
 golang-gitaly-proto-dev,
 golang-github-kelseyhightower-envconfig-dev,
 golang-procfs-dev
Standards-Version: 4.0.0
Homepage: https://gitlab.com/gitlab-org/gitaly
#Vcs-Git: https://anonscm.debian.org/collab-maint/gitaly.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gitaly.git
XS-Go-Import-Path: gitlab.com/gitlab-org/gitaly

Package: gitaly
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  golang-go
Description: Git RPC service for handling all the git calls made by GitLab
 Gitaly makes the git data storage tier of large GitLab instances fast.
 .
 This is achieved by moving git operations as close to the data as possible and
 Optimizing git services using caching.
 .
 Gitaly is a core service of gitlab.
