## gitaly 0.96.1+debian

=== debian/changelog ===
gitaly (0.96.1+debian-2) unstable; urgency=medium

  * Don't install Gemfile.lock
  * Relax ruby dependencies in Gemfile
  * Bump standards version to 4.1.3

 -- Pirate Praveen <praveen@debian.org>  Thu, 03 May 2018 20:42:13 +0530

gitaly (0.96.1+debian-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Pirate Praveen ]
  * Install config.toml
  * Fix paths, install ruby code
  * New upstream patch to fix github-linguist path (Closes: #894277)

  [ Dmitry Smirnov ]
  * New upstream release.
  * rules:
    + don't install golang sources (Closes: #893680).
    + expose version string.
    + enabled tests but ignore failures.
    + dh_clean to remove Files-Excluded.
  * control: added "Built-Using" field.
  * Build-Depends: fixed debhelper version to allow building in backports.
  * Build-Depends:
    + golang-golang-x-crypto-dev
    + golang-golang-x-sync-dev
    + golang-golang-x-sys-dev
    + golang-golang-x-text-dev
    + golang-google-genproto-dev
  * Depends:
    - golang-go
    + ruby-github-linguist
    + adduser
    + pipexec
    + procps
    + "ruby | ruby-interpreter" (L: ruby-script-but-no-ruby-dep)
  * Introduced "debian/gbp.conf".
  * Introduced service files.

 -- Pirate Praveen <praveen@debian.org>  Fri, 27 Apr 2018 12:24:32 +0530

gitaly (0.91.0+debian-1) unstable; urgency=medium

  * New upstream version 0.91.0 (Closes: #882476)
  * Fix watch file to look for new download url pattern
  * Bump debhelper compat to 11 and standards version to 4.1.3
  * Keep vendored versions of google.golang.org/grpc and
    gitlab.com/gitlab-org/gitaly-proto
  * Remove dh-make templates from debian/rules
  * Install NOTICE as docs

 -- Pirate Praveen <praveen@debian.org>  Sat, 17 Mar 2018 14:47:39 +0530
