=== debian/control ===
Source: gitaly
Section: net
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper (>= 11~),
 dh-golang,
 golang-go,
 golang-github-beorn7-perks-dev,
 golang-github-burntsushi-toml-dev,
 golang-github-davecgh-go-spew-dev,
 golang-goprotobuf-dev,
# golang-github-grpc-ecosystem-go-grpc-prometheus-dev,
 golang-protobuf-extensions-dev,
#~ golang-github-getsentry-raven-go-dev,
 golang-github-pmezard-go-difflib-dev,
 golang-github-prometheus-client-golang-dev,
 golang-github-prometheus-client-model-dev,
 golang-github-prometheus-common-dev,
 golang-github-stretchr-testify-dev,
 golang-github-sirupsen-logrus-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-net-dev,
 golang-golang-x-sync-dev,
 golang-golang-x-sys-dev,
 golang-golang-x-text-dev,
#~ golang-google-grpc-dev,
 golang-google-genproto-dev,
# golang-gitaly-proto-dev (>= 0.89.0),
 golang-github-kelseyhightower-envconfig-dev,
 golang-procfs-dev
# Tests:
#  ,git
#  ,procps
#  ,ruby-bundler
Standards-Version: 4.1.4
Homepage: https://gitlab.com/gitlab-org/gitaly
Vcs-Git: https://salsa.debian.org/go-team/packages/gitaly.git
Vcs-Browser: https://salsa.debian.org/go-team/packages/gitaly
XS-Go-Import-Path: gitlab.com/gitlab-org/gitaly

Package: gitaly
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends}, ${misc:Depends}
    ,ruby | ruby-interpreter
    ,ruby-github-linguist
    ,adduser
# sysv deps:
    ,pipexec
    ,procps
Description: Git RPC service for handling all the git calls made by GitLab
 Gitaly makes the git data storage tier of large GitLab instances fast.
 .
 This is achieved by moving git operations as close to the data as possible and
 Optimizing git services using caching.
 .
 Gitaly is a core service of gitlab.
