## gitaly 0.100.1+debian2

=== Makefile ===
--- 
+++ 
@@ -102,11 +102,15 @@
 	docker build -t gitlab/gitaly:$(VERSION_PREFIXED) -t gitlab/gitaly:latest $(TARGET_DIR)/docker/
 
 .PHONY: verify
-verify: lint check-formatting megacheck govendor-status notice-up-to-date
+verify: lint check-formatting megacheck govendor-status notice-up-to-date govendor-tagged
 
 .PHONY: govendor-status
 govendor-status: $(TARGET_SETUP) $(GOVENDOR)
 	cd $(PKG_BUILD_DIR) && govendor status
+
+.PHONY: govendor-tagged
+govendor-tagged: $(TARGET_SETUP) $(GOVENDOR)
+	cd $(PKG_BUILD_DIR) && _support/gitaly-proto-tagged
 
 $(TEST_REPO):
 	git clone --bare https://gitlab.com/gitlab-org/gitlab-test.git $@
@@ -190,7 +194,14 @@
 
 # Install golint
 $(GOLINT): $(TARGET_SETUP)
-	go get -v github.com/golang/lint/golint
+	# We should run only this: go get -v golang.org/x/lint/golint
+	# But that is currently (2018-04-23) broken so we have this clunky workaround.
+	mkdir -p $(GOPATH)/src/golang.org/x
+	rm -rf $(GOPATH)/src/golang.org/x/lint
+	git clone --quiet https://github.com/golang/lint $(GOPATH)/src/golang.org/x/lint
+	rm -rf $(GOPATH)/src/golang.org/x/tools
+	git clone --quiet https://github.com/golang/tools $(GOPATH)/src/golang.org/x/tools
+	go install golang.org/x/lint/golint
 
 # Install gocovmerge
 $(GOCOVMERGE): $(TARGET_SETUP)
