=== debian/changelog ===
gitaly (0.100.1+debian2-1) unstable; urgency=medium

  * Switch back to vendored copies of grpc and golang-gitaly-proto
    (Closes: #912229)

 -- Pirate Praveen <praveen@debian.org>  Thu, 01 Nov 2018 15:47:28 +0530

gitaly (0.100.1+debian1-1) unstable; urgency=medium

  * Use grpc and gitaly-proto from system (remove vendored copies)

 -- Pirate Praveen <praveen@debian.org>  Sat, 20 Oct 2018 23:58:02 +0530

gitaly (0.100.1+debian-1) unstable; urgency=medium

  * New upstream version 0.100.1+debian
  * Use config.toml to specify languages.json

 -- Pirate Praveen <praveen@debian.org>  Thu, 18 Oct 2018 18:21:47 +0530

gitaly (0.96.2+debian-3) unstable; urgency=medium

  * Reupload to unstable (ruby-rugged >=0.27, ruby-grpc >=1.10 in unstable now)
  * Bump Standards-Version to 4.2.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Fri, 12 Oct 2018 23:46:46 +0530

gitaly (0.96.2+debian-2) experimental; urgency=medium

  * Tighten/update dependencies to use gitlab forks
  * Make .bundle directory writably by symlinking to /var/lib/gitlab
  * Regenerate Gemfile.lock in postinst

 -- Pirate Praveen <praveen@debian.org>  Fri, 20 Jul 2018 18:31:54 +0530

gitaly (0.96.2+debian-1) experimental; urgency=medium

  * New upstream release
  * Use gitlab-common for user creation
  * Setup user created by gitlab-common for gitaly service
  * Remove dependencies provided by gitlab-common
  * Update watch file pattern
  * Use vendored version of golang-github-prometheus-client-golang-dev
    (Closes: #901223)

 -- Pirate Praveen <praveen@debian.org>  Thu, 14 Jun 2018 19:22:23 +0530

gitaly (0.96.1+debian-4) experimental; urgency=medium

  * Tighten dependencies (for stretch-backports build)

 -- Pirate Praveen <praveen@debian.org>  Mon, 04 Jun 2018 21:10:35 +0530

gitaly (0.96.1+debian-3) experimental; urgency=medium

  * Relax more ruby dependencies in Gemfile
  * Add ruby dependencies in control
  * Add a test to check ruby dependencies
  * Upload to experimental (need ruby-rugged and ruby-grpc from experimental)

 -- Pirate Praveen <praveen@debian.org>  Sat, 12 May 2018 20:00:04 +0530
