=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper (>= 11~),
  dh-golang,
- golang-go,
+ golang-any (>= 2:1.10~),
  golang-github-beorn7-perks-dev,
  golang-github-burntsushi-toml-dev,
  golang-github-davecgh-go-spew-dev,
@@ -18,7 +18,7 @@
  golang-github-prometheus-client-model-dev,
  golang-github-prometheus-common-dev,
  golang-github-stretchr-testify-dev,
- golang-github-sirupsen-logrus-dev,
+ golang-github-sirupsen-logrus-dev (>= 1.0~),
  golang-golang-x-crypto-dev,
  golang-golang-x-net-dev,
  golang-golang-x-sync-dev,
@@ -28,12 +28,23 @@
  golang-google-genproto-dev,
 # golang-gitaly-proto-dev (>= 0.89.0),
  golang-github-kelseyhightower-envconfig-dev,
- golang-procfs-dev
+ golang-procfs-dev,
 # Tests:
 #  ,git
 #  ,procps
-#  ,ruby-bundler
-Standards-Version: 4.1.4
+ ruby-bundler,
+ ruby-rugged (>= 0.27~),
+ ruby-github-linguist (>= 5.3.3~),
+ ruby-github-markup (>= 1.6.2~),
+ ruby-gitaly (>= 0.95~),
+ ruby-activesupport (>= 2:4.2.10~),
+ ruby-gollum-lib (>= 4.2.7.5~),
+ ruby-gollum-rugged-adapter (>= 0.4.4.1~),
+ ruby-grpc (>= 1.10~),
+ ruby-sentry-raven (>= 2.7~),
+ ruby-licensee (>= 8.7~),
+ ruby-google-protobuf (>= 3.5.1~)
+Standards-Version: 4.2.1
 Homepage: https://gitlab.com/gitlab-org/gitaly
 Vcs-Git: https://salsa.debian.org/go-team/packages/gitaly.git
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gitaly
@@ -42,13 +53,23 @@
 Package: gitaly
 Architecture: any
 Built-Using: ${misc:Built-Using}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-    ,ruby | ruby-interpreter
-    ,ruby-github-linguist
-    ,adduser
+Depends: ${shlibs:Depends}, ${misc:Depends},
+     gitlab-common,
+     ruby | ruby-interpreter,
+     ruby-rugged (>= 0.27~),
+     ruby-github-linguist (>= 5.3.3~),
+     ruby-github-markup (>= 1.6.2~),
+     ruby-gitaly (>= 0.95~),
+     ruby-activesupport (>= 2:4.2.10~),
+     ruby-gollum-lib (>= 4.2.7.5~),
+     ruby-gollum-rugged-adapter (>= 0.4.4.1~),
+     ruby-grpc (>= 1.10~),
+     ruby-sentry-raven (>= 2.7~),
+     ruby-licensee (>= 8.7~),
+     ruby-google-protobuf (>= 3.5.1~),
 # sysv deps:
-    ,pipexec
-    ,procps
+     pipexec,
+     procps
 Description: Git RPC service for handling all the git calls made by GitLab
  Gitaly makes the git data storage tier of large GitLab instances fast.
  .
