## gitaly 0.120.1+debian

=== Makefile ===
--- 
+++ 
@@ -56,7 +56,9 @@
 	cp $(foreach cmd,$(COMMANDS),$(BIN_BUILD_DIR)/$(cmd)) $(BUILD_DIR)/
 
 .ruby-bundle:	ruby/Gemfile.lock ruby/Gemfile
+	cd ruby && bundle config # for debugging
 	cd ruby && bundle install $(BUNDLE_FLAGS)
+	cd ruby && bundle show gitaly-proto # sanity check
 	touch $@
 
 # TODO: confirm what references this target? Omnibus? Source installs?
@@ -194,14 +196,7 @@
 
 # Install golint
 $(GOLINT): $(TARGET_SETUP)
-	# We should run only this: go get -v golang.org/x/lint/golint
-	# But that is currently (2018-04-23) broken so we have this clunky workaround.
-	mkdir -p $(GOPATH)/src/golang.org/x
-	rm -rf $(GOPATH)/src/golang.org/x/lint
-	git clone --quiet https://github.com/golang/lint $(GOPATH)/src/golang.org/x/lint
-	rm -rf $(GOPATH)/src/golang.org/x/tools
-	git clone --quiet https://github.com/golang/tools $(GOPATH)/src/golang.org/x/tools
-	go install golang.org/x/lint/golint
+	go get -v golang.org/x/lint/golint
 
 # Install gocovmerge
 $(GOCOVMERGE): $(TARGET_SETUP)
