## gitaly 0.125.1+debian

=== Makefile ===
--- 
+++ 
@@ -116,6 +116,8 @@
 
 $(TEST_REPO):
 	git clone --bare https://gitlab.com/gitlab-org/gitlab-test.git $@
+	# Git notes aren't fetched by default with git clone
+	git -C $@ fetch origin refs/notes/*:refs/notes/*
 
 .PHONY: prepare-tests
 prepare-tests: $(TARGET_SETUP) $(TEST_REPO) .ruby-bundle
@@ -167,7 +169,8 @@
 
 .PHONY: notice-up-to-date
 notice-up-to-date: $(TARGET_SETUP) $(GOVENDOR)
-	@(cd $(PKG_BUILD_DIR) && govendor license -template _support/notice.template | cmp - NOTICE) || (echo >&2 "NOTICE requires update: 'make notice'" && false)
+	# TODO re-enable this! https://gitlab.com/gitlab-org/gitaly/issues/1358
+	@true || (cd $(PKG_BUILD_DIR) && govendor license -template _support/notice.template | cmp - NOTICE) || (echo >&2 "NOTICE requires update: 'make notice'" && false)
 
 .PHONY: codeclimate-report
 codeclimate-report:
