=== debian/changelog ===
gitaly (0.125.1+debian-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Pirate Praveen <praveen@debian.org>  Sat, 15 Dec 2018 18:57:07 +0530

gitaly (0.125.1+debian-3) unstable; urgency=medium

  * Reupload to unstable 

 -- Pirate Praveen <praveen@debian.org>  Sat, 08 Dec 2018 12:30:21 +0530

gitaly (0.125.1+debian-2) experimental; urgency=medium

  * Switch to github-linguist from gitlab-linguist

 -- Pirate Praveen <praveen@debian.org>  Wed, 05 Dec 2018 23:09:44 +0530

gitaly (0.125.1+debian-1) experimental; urgency=medium

  * New upstream version 0.125.1+debian

 -- Pirate Praveen <praveen@debian.org>  Mon, 26 Nov 2018 17:25:41 +0530

gitaly (0.120.1+debian-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Pirate Praveen <praveen@debian.org>  Fri, 14 Dec 2018 20:37:24 +0530

gitaly (0.120.1+debian-2) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Thu, 22 Nov 2018 20:43:07 +0530

gitaly (0.120.1+debian-1) experimental; urgency=medium

  * New upstream version 0.120.1+debian
  * Refresh patches
  * Tighten dependency on ruby-gitaly-proto

 -- Pirate Praveen <praveen@debian.org>  Wed, 21 Nov 2018 11:58:44 +0530

gitaly (0.117.3+debian-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Pirate Praveen <praveen@debian.org>  Wed, 12 Dec 2018 22:51:49 +0530

gitaly (0.117.3+debian-2) unstable; urgency=medium

  * Reupload to unstable
  * Allow ruby-github-linguist 5.x (gitlab needs 5.x)

 -- Pirate Praveen <praveen@debian.org>  Tue, 20 Nov 2018 10:24:27 +0530

gitaly (0.117.3+debian-1) experimental; urgency=medium

  * New upstream version 0.117.3+debian
  * Refresh patches
  * Update dependencies

 -- Pirate Praveen <praveen@debian.org>  Mon, 19 Nov 2018 19:47:55 +0530

gitaly (0.111.4+debian-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Pirate Praveen <praveen@debian.org>  Mon, 10 Dec 2018 13:16:32 +0530

gitaly (0.111.4+debian-3) unstable; urgency=medium

  * Relax dependency on gitaly-proto (Closes: #914055)

 -- Pirate Praveen <praveen@debian.org>  Mon, 19 Nov 2018 12:24:45 +0530

gitaly (0.111.4+debian-2) unstable; urgency=medium

  * Reupload to unstable 

 -- Pirate Praveen <praveen@debian.org>  Sat, 17 Nov 2018 12:59:23 +0530

gitaly (0.111.4+debian-1) experimental; urgency=medium

  * New upstream version 0.111.4+debian

 -- Pirate Praveen <praveen@debian.org>  Tue, 13 Nov 2018 14:18:59 +0530

gitaly (0.100.1+debian2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Pirate Praveen <praveen@debian.org>  Thu, 01 Nov 2018 15:57:29 +0530

gitaly (0.100.1+debian1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Pirate Praveen <praveen@debian.org>  Tue, 30 Oct 2018 14:07:24 +0530
