=== debian/control ===
--- 
+++ 
@@ -33,16 +33,17 @@
 #  ,git
 #  ,procps
  ruby-bundler,
- ruby-rugged (>= 0.27~),
- ruby-github-linguist (>= 5.3.3~),
+ ruby-rugged (>= 0.27.2~),
+ ruby-github-linguist (>= 5.3~),
  ruby-github-markup (>= 1.6.2~),
- ruby-gitaly (>= 0.95~),
+ ruby-gitaly-proto (>= 0.116~),
  ruby-activesupport (>= 2:4.2.10~),
  ruby-gollum-lib (>= 4.2.7.5~),
  ruby-gollum-rugged-adapter (>= 0.4.4.1~),
- ruby-grpc (>= 1.10~),
- ruby-sentry-raven (>= 2.7~),
- ruby-licensee (>= 8.7~),
+ ruby-grpc (>= 1.11~),
+ ruby-sentry-raven (>= 2.7.2~),
+ ruby-faraday (>= 0.12~),
+ ruby-licensee (>= 8.9~),
  ruby-google-protobuf (>= 3.5.1~)
 Standards-Version: 4.2.1
 Homepage: https://gitlab.com/gitlab-org/gitaly
@@ -56,16 +57,17 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
      gitlab-common,
      ruby | ruby-interpreter,
-     ruby-rugged (>= 0.27~),
-     ruby-github-linguist (>= 5.3.3~),
+     ruby-rugged (>= 0.27.2~),
+     ruby-github-linguist (>= 5.3~),
      ruby-github-markup (>= 1.6.2~),
-     ruby-gitaly (>= 0.95~),
+     ruby-gitaly-proto (>= 0.116~),
      ruby-activesupport (>= 2:4.2.10~),
      ruby-gollum-lib (>= 4.2.7.5~),
      ruby-gollum-rugged-adapter (>= 0.4.4.1~),
-     ruby-grpc (>= 1.10~),
-     ruby-sentry-raven (>= 2.7~),
-     ruby-licensee (>= 8.7~),
+     ruby-grpc (>= 1.11~),
+     ruby-sentry-raven (>= 2.7.2~),
+     ruby-faraday (>= 0.12~),
+     ruby-licensee (>= 8.9~),
      ruby-google-protobuf (>= 3.5.1~),
 # sysv deps:
      pipexec,
