=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,13 @@
             -ldflags "$(GO_LDFLAGS)"
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
 	-dh_auto_test
+	# Test if ruby dependencies are satisfied
+	TMPDIR=$$(mktemp -d); cp ruby/Gemfile $$TMPDIR; cd $$TMPDIR;\
+        bundle install --local || exit 1;\
+        rm $$TMPDIR/Gemfile*; rmdir $$TMPDIR
+endif
 
 override_dh_auto_install:
 	dh_auto_install
