=== debian/changelog ===
gitaly (0.129.0+debian-3) unstable; urgency=medium

  * Reupload to unstable 

 -- Pirate Praveen <praveen@debian.org>  Sat, 15 Dec 2018 15:01:59 +0530

gitaly (0.129.0+debian-2) experimental; urgency=medium

  * Trigger Gemfile.lock update when ruby libraries change (Closes: #909191)

 -- Pirate Praveen <praveen@debian.org>  Fri, 14 Dec 2018 17:00:55 +0530

gitaly (0.129.0+debian-1) experimental; urgency=medium

  * New upstream version 0.129.0+debian
  * Refresh patches
  * Tighten dependencies
  * Relax bundler version (version in debian is not affected by bug mentioned
    in ruby/Gemfile)

 -- Pirate Praveen <praveen@debian.org>  Thu, 13 Dec 2018 13:04:38 +0530
