=== debian/control ===
--- 
+++ 
@@ -34,17 +34,17 @@
 #  ,procps
  ruby-bundler,
  ruby-rugged (>= 0.27.2~),
- ruby-github-linguist (>= 5.3~),
- ruby-github-markup (>= 1.6.2~),
- ruby-gitaly-proto (>= 0.116~),
+ ruby-github-linguist (>= 6.1~),
+ ruby-github-markup (>= 1.6.4~),
+ ruby-gitaly-proto (>= 0.123~),
  ruby-activesupport (>= 2:4.2.10~),
  ruby-gollum-lib (>= 4.2.7.5~),
  ruby-gollum-rugged-adapter (>= 0.4.4.1~),
- ruby-grpc (>= 1.11~),
+ ruby-grpc (>= 1.15~),
  ruby-sentry-raven (>= 2.7.2~),
  ruby-faraday (>= 0.12~),
  ruby-licensee (>= 8.9~),
- ruby-google-protobuf (>= 3.5.1~)
+ ruby-google-protobuf (>= 3.6~)
 Standards-Version: 4.2.1
 Homepage: https://gitlab.com/gitlab-org/gitaly
 Vcs-Git: https://salsa.debian.org/go-team/packages/gitaly.git
@@ -58,17 +58,17 @@
      gitlab-common,
      ruby | ruby-interpreter,
      ruby-rugged (>= 0.27.2~),
-     ruby-github-linguist (>= 5.3~),
-     ruby-github-markup (>= 1.6.2~),
-     ruby-gitaly-proto (>= 0.116~),
+     ruby-github-linguist (>= 6.1~),
+     ruby-github-markup (>= 1.6.4~),
+     ruby-gitaly-proto (>= 0.123~),
      ruby-activesupport (>= 2:4.2.10~),
      ruby-gollum-lib (>= 4.2.7.5~),
      ruby-gollum-rugged-adapter (>= 0.4.4.1~),
-     ruby-grpc (>= 1.11~),
+     ruby-grpc (>= 1.15~),
      ruby-sentry-raven (>= 2.7.2~),
      ruby-faraday (>= 0.12~),
      ruby-licensee (>= 8.9~),
-     ruby-google-protobuf (>= 3.5.1~),
+     ruby-google-protobuf (>= 3.6~),
 # sysv deps:
      pipexec,
      procps
