## gitaly 1.20.0+debian

=== Makefile ===
--- 
+++ 
@@ -43,8 +43,16 @@
 test: prepare-build
 	cd $(BUILD_DIR) && $(MAKE) $@
 	
+.PHONY: test-with-proxies
+test-with-proxies: prepare-build
+	cd $(BUILD_DIR) && $(MAKE) $@
+
 .PHONY: rspec
 rspec: prepare-build
+	cd $(BUILD_DIR) && $(MAKE) $@
+
+.PHONY: rspec-gitlab-shell
+rspec-gitlab-shell: prepare-build
 	cd $(BUILD_DIR) && $(MAKE) $@
 
 .PHONY: verify
