=== debian/changelog ===
gitaly (1.20.0+debian-1) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * rules: set DH_GOLANG_GO_GENERATE.

  [ Sruthi Chandran ]
  * New upstream version 1.20.0+debian
  * Fix gitaly.tmpfile to create run/gitlab/sockets (Closes: #918070)

 -- Sruthi Chandran <srud@disroot.org>  Fri, 15 Mar 2019 13:39:24 +0530

gitaly (1.12.0+debian-1) experimental; urgency=medium

  * New upstream version 1.12.0+debian
  * Tighten dependencies
  * Use embedded protobuf and genproto

 -- Pirate Praveen <praveen@debian.org>  Sun, 23 Dec 2018 11:54:55 +0530
