=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: net
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Pirate Praveen <praveen@debian.org>
+Uploaders: Pirate Praveen <praveen@debian.org>,
+ Sruthi Chandran <srud@disroot.org>
 Build-Depends: debhelper (>= 11~),
  dh-golang,
  golang-any (>= 2:1.10~),
  golang-github-beorn7-perks-dev,
  golang-github-burntsushi-toml-dev,
  golang-github-davecgh-go-spew-dev,
- golang-goprotobuf-dev,
-# golang-github-grpc-ecosystem-go-grpc-prometheus-dev,
+#~ golang-goprotobuf-dev,
+#~ golang-github-grpc-ecosystem-go-grpc-prometheus-dev,
  golang-protobuf-extensions-dev,
 #~ golang-github-getsentry-raven-go-dev,
  golang-github-pmezard-go-difflib-dev,
@@ -25,8 +26,8 @@
  golang-golang-x-sys-dev,
  golang-golang-x-text-dev,
 #~ golang-google-grpc-dev,
- golang-google-genproto-dev,
-# golang-gitaly-proto-dev (>= 0.89.0),
+#~ golang-google-genproto-dev,
+#~ golang-gitaly-proto-dev,
  golang-github-kelseyhightower-envconfig-dev,
  golang-procfs-dev,
 # Tests:
@@ -35,14 +36,15 @@
  ruby-bundler,
  ruby-rugged (>= 0.27.2~),
  ruby-github-linguist (>= 6.1~),
- ruby-github-markup (>= 1.6.4~),
- ruby-gitaly-proto (>= 0.123~),
- ruby-activesupport (>= 2:4.2.10~),
+ ruby-github-markup (>= 1.6.5~),
+ ruby-gitaly-proto (>= 1.10~),
+ ruby-activesupport (>= 2:5.2~),
  ruby-gollum-lib (>= 4.2.7.5~),
  ruby-gollum-rugged-adapter (>= 0.4.4.1~),
  ruby-grpc (>= 1.15~),
  ruby-sentry-raven (>= 2.7.2~),
  ruby-faraday (>= 0.12~),
+ ruby-rbtrace,
  ruby-licensee (>= 8.9~),
  ruby-google-protobuf (>= 3.6~)
 Standards-Version: 4.2.1
@@ -59,14 +61,15 @@
      ruby | ruby-interpreter,
      ruby-rugged (>= 0.27.2~),
      ruby-github-linguist (>= 6.1~),
-     ruby-github-markup (>= 1.6.4~),
-     ruby-gitaly-proto (>= 0.123~),
-     ruby-activesupport (>= 2:4.2.10~),
+     ruby-github-markup (>= 1.6.5~),
+     ruby-gitaly-proto (>= 1.10~),
+     ruby-activesupport (>= 2:5.2~),
      ruby-gollum-lib (>= 4.2.7.5~),
      ruby-gollum-rugged-adapter (>= 0.4.4.1~),
      ruby-grpc (>= 1.15~),
      ruby-sentry-raven (>= 2.7.2~),
      ruby-faraday (>= 0.12~),
+     ruby-rbtrace,
      ruby-licensee (>= 8.9~),
      ruby-google-protobuf (>= 3.6~),
 # sysv deps:
