=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DH_GOLANG_GO_GENERATE := 1
 #export DH_GOLANG_INSTALL_ALL := 1  # test data
 #export DH_GOLANG_INSTALL_EXTRA := vendor
