=== debian/tests/control ===
Tests: bundle-install
Depends: @, @builddeps@
