## gitaly 1.34.3+debian

=== Makefile ===
--- 
+++ 
@@ -14,8 +14,9 @@
 
 # These variables are handed down to make in _build
 export GOPATH := $(CURDIR)/$(BUILD_DIR)
-export PATH := $(PATH):$(GOPATH)/bin
+export PATH := $(GOPATH)/bin:$(PATH)
 export TEST_REPO_STORAGE_PATH := $(CURDIR)/internal/testhelper/testdata/data
+export GO111MODULE := off
 
 all: build
