=== debian/changelog ===
gitaly (1.34.3+debian-1) experimental; urgency=medium

  * New upstream version 1.34.3+debian
  * Change logging level to warn

 -- Pirate Praveen <praveen@debian.org>  Sun, 07 Jul 2019 22:57:26 +0530

gitaly (1.34.1+debian-1) experimental; urgency=medium

  * Team upload
  * New upstream version 1.34.1+debian
  * Bump Standards-Version to 4.3.0 (no changes needed)
  * Refresh patches

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Fri, 17 May 2019 04:18:21 +0530
