=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
  golang-golang-x-sync-dev,
  golang-golang-x-sys-dev,
  golang-golang-x-text-dev,
+ golang-golang-x-tools,
 #~ golang-google-grpc-dev,
 #~ golang-google-genproto-dev,
 #~ golang-gitaly-proto-dev,
@@ -34,20 +35,20 @@
 #  ,git
 #  ,procps
  ruby-bundler,
- ruby-rugged (>= 0.27.2~),
+ ruby-rugged (>= 0.28.1~),
  ruby-github-linguist (>= 6.1~),
- ruby-github-markup (>= 1.6.5~),
- ruby-gitaly-proto (>= 1.10~),
+ ruby-github-markup (>= 1.7.0~),
+ ruby-gitaly-proto (>= 1.22~),
  ruby-activesupport (>= 2:5.2~),
- ruby-gollum-lib (>= 4.2.7.5~),
- ruby-gollum-rugged-adapter (>= 0.4.4.1~),
+ ruby-gollum-lib (>= 4.2.7.7~),
+ ruby-gollum-rugged-adapter (>= 0.4.4.2~),
  ruby-grpc (>= 1.15~),
- ruby-sentry-raven (>= 2.7.2~),
+ ruby-sentry-raven (>= 2.9.0~),
  ruby-faraday (>= 0.12~),
  ruby-rbtrace,
  ruby-licensee (>= 8.9~),
  ruby-google-protobuf (>= 3.6~)
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://gitlab.com/gitlab-org/gitaly
 Vcs-Git: https://salsa.debian.org/go-team/packages/gitaly.git
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gitaly
@@ -59,15 +60,15 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
      gitlab-common,
      ruby | ruby-interpreter,
-     ruby-rugged (>= 0.27.2~),
+     ruby-rugged (>= 0.28.1~),
      ruby-github-linguist (>= 6.1~),
-     ruby-github-markup (>= 1.6.5~),
-     ruby-gitaly-proto (>= 1.10~),
+     ruby-github-markup (>= 1.7.0~),
+     ruby-gitaly-proto (>= 1.22~),
      ruby-activesupport (>= 2:5.2~),
-     ruby-gollum-lib (>= 4.2.7.5~),
-     ruby-gollum-rugged-adapter (>= 0.4.4.1~),
+     ruby-gollum-lib (>= 4.2.7.7~),
+     ruby-gollum-rugged-adapter (>= 0.4.4.2~),
      ruby-grpc (>= 1.15~),
-     ruby-sentry-raven (>= 2.7.2~),
+     ruby-sentry-raven (>= 2.9.0~),
      ruby-faraday (>= 0.12~),
      ruby-rbtrace,
      ruby-licensee (>= 8.9~),
